pm::Loudmouth(3pm)

NAME
Net::Jabber::Loudmouth - Perl interface for the loudmouth jabber library

SYNOPSIS
  use Net::Jabber::Loudmouth;

  my $connection = Net::Jabber::Loudmouth::Connection->new("server");
  $connection->open_and_block();
  $connection->authenticate_and_block("username", "password", "resource");

  my $m = Net::Jabber::Loudmouth::Message->new("recipient", 'message');
  $m->get_node->add_child("body", "message");

  $connection->send($m);

DESCRIPTION
Net::Jabber::Loudmouth is a perl interface for libloudmouth, Lightweight C Jabber library. It allows you to do the same stuff with Net::Jabber, but with a nicer interface and much faster, because most of the code is written in C.

FUNCTIONS
Net::Jabber::Loudmouth only contains two functions. Other functionality can be found in Net::Jabber::Loudmouth::*.

  default_port
  Net::Jabber::Loudmouth->default_port()

Returns the default port which will be used for every connection.

  default_port_ssl
  Net::Jabber::Loudmouth->default_port_ssl()

Returns the default ssl port. Use

  $connection->set_port(Net::Jabber::Loudmouth->default_port_ssl())

to tell a connection to use the ssl port. See Net::Jabber::Loudmouth::Connection.

SEE ALSO
Net::Jabber::Loudmouth::Connection, Net::Jabber::Loudmouth::Message, Net::Jabber::Loudmouth::MessageHandler, Net::Jabber::Loudmouth::MessageNode, Net::Jabber::Loudmouth::SSL, Net::Jabber::Loudmouth::Proxy

AUTHOR
Florian Ragwitz, <rafl@debian.org>

COPYRIGHT AND LICENSE
Copyright (C) 2005 by Florian Ragwitz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.